Skip to content
Proud to collaborate with Microsoft for Startups

docusign.accounts.put-notification-defaults ​

This method changes the default settings for the email notifications that signers and senders receive about envelopes.

Updates envelope notification default settings.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
apiemailnotificationsjsonNo—Contains details about the default notification settings for the envelope notifications that senders and signers receive.
emailnotificationsjsonNo—Contains details about the default notification settings for the envelope notifications that senders and signers receive.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
apiemailnotificationsjsonNo—Contains details about the default notification settings for the envelope notifications that senders and signers receive.
emailnotificationsjsonNo—Contains details about the default notification settings for the envelope notifications that senders and signers receive.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/settings/notification_defaults
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/settings/notification_defaults
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.accounts.put-notification-defaults",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}